### Function

# GLib path_skip_root

#### Declaration

    const gchar*
    g_path_skip_root (
      const gchar* file_name
    )

#### Description

Returns a pointer into `file_name` after the root component, i.e. after the “/” in UNIX or “C:" under Windows. If `file_name` is not an absolute path it returns `NULL`.

#### Parameters

`file_name`

  Type: `const gchar*`

  A file name.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `const gchar*`

A pointer into `file_name` after the root component.

The data is owned by the called function.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.